#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 51. Typesetting

- Prev

  texlive-20210325-source

- Next

  biber-2.17

- Up
- Home

# asymptote-2.78

## Introduction to asymptote

Asymptote is a powerful descriptive vector graphics language that provides a natural coordinate-based framework for technical drawing. Labels and equations can be typeset with LaTeX. As well as EPS, PDF and PNG output it can produce WebGL 3D HTML rendering and (using dvisvgm) SVG output.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://downloads.sourceforge.net/asymptote/asymptote-2.78.src.tgz

- Download MD5 sum: 73a20de9755fe4354d077a71178238db

- Download size: 15 MB

- Estimated disk space required: 223 MB (55 MB installed,with all the dependencies which are within BLFS)

- Estimated build time: 1.5 SBU (using parallelism=4)

### asymptote Dependencies

#### Required

ghostscript-9.55.0 and texlive-20210325

#### Recommended

cURL-7.81.0, Freeglut-3.2.2, GC-8.0.6, GLEW-2.2.0, GLM-0.9.9.8 and libtirpc-1.3.2

#### Recommended at runtime

dvisvgm-2.13.1

#### Optional

fftw-3.3.10, Gsl-2.7.1, libsigsegv-2.14, both Boost-1.78.0 and rapidjson to use LSP which can be used with emacs

#### Optional (at runtime)

ImageMagick-7.1.0-25 to convert output to other formats such as JPEG or to create animated GIFs, PyQt5 (not tested, has a build dependency of Qt-5.15.2) to use xasy.

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/asymptote

## Installation of asymptote

Install asymptote by running the following commands:

    export TEXARCH=$(uname -m | sed -e 's/i.86/i386/' -e 's/$/-linux/') &&

    ./configure --prefix=/opt/texlive/2021                          \
                --bindir=/opt/texlive/2021/bin/$TEXARCH             \
                --datarootdir=/opt/texlive/2021/texmf-dist          \
                --infodir=/opt/texlive/2021/texmf-dist/doc/info     \
                --libdir=/opt/texlive/2021/texmf-dist               \
                --mandir=/opt/texlive/2021/texmf-dist/doc/man       \
                --disable-lsp                                       \
                --enable-gc=system                                  \
                --with-latex=/opt/texlive/2021/texmf-dist/tex/latex \
                --with-context=/opt/texlive/2021/texmf-dist/tex/context/third &&

    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--prefix=, --bindir=, --datarootdir=, --infodir=, --mandir= ...` : these switches ensure that the files installed from source will overwrite any corresponding files previously installed by install-tl-unx so that the alternative methods of installing texlive are consistent.

`--libdir=/opt/texlive/2021/texmf-dist;`: This parameter ensures that the `asymptote` directory will similarly overwrite any files installed by install-tl-unx.

`--disable-lsp`: The Language Server Protocol is enabled by default, with several third-party sources included, but it does not build unless boost and repidjson have been installed.

`--enable-gc=system`: this ensures that the system version of `libgc.so` will be used instead of the version shipped with this package.

`--with-latex= ... --with-context=`: These switches ensure that style files and a tex file will be installed into the texlive directories instead of creating a `texmf-local` directory for them.

## Contents

Installed Programs: asy, xasy
Installed Libraries: None
Installed Directory: /opt/texlive/2021texmf-dist/asymptote, /opt/texlive/2021/doc/asymptote, /opt/texlive/2021/info/asymptote

### Short Descriptions

asy | is a vector graphics program
xasy | is a Python3 script providing a Qt5 GUI for asy

Last updated on

- Prev

  texlive-20210325-source

- Next

  biber-2.17

- Up
- Home